import { BaseProvider } from '#templates/base/provider';
import { SystemAuditLog } from '#models/SystemAuditLog';

export class SystemAuditLogProvider extends BaseProvider<SystemAuditLog> {
	public static instance: SystemAuditLogProvider;

	public static getInstance(): SystemAuditLogProvider {
		SystemAuditLogProvider.instance ??= new SystemAuditLogProvider();
		return SystemAuditLogProvider.instance;
	}

	public static get model() {
		return SystemAuditLog;
	}

	constructor() {
		super('SystemAuditLog');
	}
}
